gcm.h File Reference

GCM block cipher mode of operation. More...

Go to the source code of this file.

## Classes

class | GCM_Base
| GCM block cipher base implementation. More...
class | GCM_Final< T_BlockCipher, T_TablesOption, T_IsEncryption >
| GCM block cipher final implementation. More...
struct | GCM< T_BlockCipher, T_TablesOption >
| GCM block cipher mode of operation. More...

## Macros

#define | CRYPTOPP_DISABLE_GCM_ASM 1

## Enumerations

enum | GCM_TablesOption { GCM_2K_Tables , GCM_64K_Tables }
| GCM table size options. More...

## Detailed Description

GCM block cipher mode of operation.

Since
  Crypto++ 5.6.0

Definition in file gcm.h.

## Macro Definition Documentation

## CRYPTOPP_DISABLE_GCM_ASM

#define CRYPTOPP_DISABLE_GCM_ASM 1

Definition at line 16 of file gcm.h.

## Enumeration Type Documentation

## GCM_TablesOption

enum GCM_TablesOption

GCM table size options.

Enumerator
GCM_2K_Tables | Use a table with 2K entries.
GCM_64K_Tables | Use a table with 64K entries.

Definition at line 23 of file gcm.h.